set local
@echo off


rem Registers Files required by RESERVATION 3.2
rem ===========================================


rem Determine the current directory:

cls
for /F "tokens=*" %%A in ('cd') do set cwd=%%A


rem Register the basic DLLs contained in this current directory:

echo "%cwd%\R32.dll" is being registered...
regsvr32 "%cwd%\R32.dll"

if exist "%cwd%\ChilkatLicense.dll" (
  echo "%cwd%\ChilkatLicense.dll" is being registered...
  regsvr32 "%cwd%\ChilkatLicense.dll"
)

echo "%cwd%\ChilkatWebMail.dll" is being registered...
regsvr32 "%cwd%\ChilkatWebMail.dll"


rem Reg.dll has been removed in this release


echo "%cwd%\INFOLITE.dll" is being registered...
regsvr32 "%cwd%\INFOLITE.dll"

echo "%cwd%\ASPEXEC.dll" is being registered...
regsvr32 "%cwd%\ASPEXEC.dll"


rem These files are registered by Microsofts VBRun60sp4.exe
rem http://support.microsoft.com/default.asp?scid=KB;EN-US;q235420&

rem regsvr32 "%cwd%\MSVBVM60.dll"
rem regsvr32 "%cwd%\OLEPRO32.dll"
rem ........ "%cwd%\STDOLE2.tlb"


rem Installs and registers the above VB6.0 Runtime Files

echo "%cwd%\VBRun60sp4.exe" is started...
"%cwd%\VBRun60sp4.exe"

echo .
echo The files have been installed.
pause

rem Marcel A. Hug Informatik GmbH, 22.10.2003


end local
@echo on
